summaryrefslogtreecommitdiffstats
path: root/games/PrismLauncher
diff options
context:
space:
mode:
Diffstat (limited to 'games/PrismLauncher')
-rw-r--r--games/PrismLauncher/PrismLauncher.SlackBuild113
-rw-r--r--games/PrismLauncher/PrismLauncher.info10
-rw-r--r--games/PrismLauncher/README20
-rw-r--r--games/PrismLauncher/doinst.sh9
-rw-r--r--games/PrismLauncher/slack-desc19
5 files changed, 171 insertions, 0 deletions
diff --git a/games/PrismLauncher/PrismLauncher.SlackBuild b/games/PrismLauncher/PrismLauncher.SlackBuild
new file mode 100644
index 0000000000..4a4aabc117
--- /dev/null
+++ b/games/PrismLauncher/PrismLauncher.SlackBuild
@@ -0,0 +1,113 @@
+#!/bin/bash
+
+# Slackware build script for PrismLauncher
+
+# Copyright 2023-2024 Samuel Young, MO, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=PrismLauncher
+VERSION=${VERSION:-8.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake -S . -G Ninja \
+ -Wno-dev \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DENABLE_LTO=ON \
+ -DLauncher_QT_VERSION_MAJOR="5" \
+ -DLauncher_BUILD_PLATFORM="slackware" \
+ -DCMAKE_BUILD_TYPE=Release ..
+ cmake --build .
+ DESTDIR=$PKG cmake --install .
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CONTRIBUTING.md COPYING.md README.md LICENSE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/games/PrismLauncher/PrismLauncher.info b/games/PrismLauncher/PrismLauncher.info
new file mode 100644
index 0000000000..1505c79f56
--- /dev/null
+++ b/games/PrismLauncher/PrismLauncher.info
@@ -0,0 +1,10 @@
+PRGNAM="PrismLauncher"
+VERSION="8.3"
+HOMEPAGE="https://prismlauncher.org"
+DOWNLOAD="https://github.com/PrismLauncher/PrismLauncher/releases/download/8.3/PrismLauncher-8.3.tar.gz"
+MD5SUM="6e3c44ebc64b2c2f6f9489185b021d57"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="OpenJDK17 scdoc"
+MAINTAINER="Samuel Young"
+EMAIL="samyoung12788@gmail.com"
diff --git a/games/PrismLauncher/README b/games/PrismLauncher/README
new file mode 100644
index 0000000000..9abac1f587
--- /dev/null
+++ b/games/PrismLauncher/README
@@ -0,0 +1,20 @@
+PrismLauncher (An Open Source Minecraft launcher)
+
+An Open Source Minecraft launcher with the ability to manage multiple
+instances, accounts and mods. Focused on user freedom and free
+redistributability.
+
+A Microsoft or Mojang account that owns Minecraft is required to
+download and play the game through PrismLauncher.
+
+zulu-openjdk17 can be used instead of OpenJDK17, if one wishes to do
+so. Other versions of Java may be needed to run different versions of
+Minecraft.
+
+1.20.5 or newer: zulu-openjdk21
+1.17 to 1.20.4: OpenJDK17 or zulu-openjdk17
+1.16 or older: openjdk8 or zulu-openjdk8
+
+If you have multiple versions of Java installed on your
+system, make sure that your JAVA_HOME environment variable is pointed
+to OpenJDK17 when building PrismLauncher.
diff --git a/games/PrismLauncher/doinst.sh b/games/PrismLauncher/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/games/PrismLauncher/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/games/PrismLauncher/slack-desc b/games/PrismLauncher/slack-desc
new file mode 100644
index 0000000000..720e00fe2f
--- /dev/null
+++ b/games/PrismLauncher/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+PrismLauncher: PrismLauncher (Open-source Minecraft launcher)
+PrismLauncher:
+PrismLauncher: An Open Source Minecraft launcher with the ability to manage multiple
+PrismLauncher: instances, accounts and mods. Focused on user freedom and free
+PrismLauncher: redistributability.
+PrismLauncher:
+PrismLauncher:
+PrismLauncher:
+PrismLauncher:
+PrismLauncher: Homepage: https://PrismLauncher.org
+PrismLauncher: